Errore upgrade da 2.3 a 3.0

Installazione, configurazione generale, notifiche, API, lingue, problemi server
acucca
Newbie
Posts: 21
Joined: Tue Mar 02, 2021 5:33 pm

Errore upgrade da 2.3 a 3.0

Post by acucca »

Buongiorno,

nel weekend ho fatto l'upgrade da versione 2.3 alla versione 2.4.4 e successivamente alla 3.0.
Premetto che i requisiti di PHP 7.4 e mySQL 5.6 sono stati rispettati.

In ambedue i casi il processo di upgrade è proseguito normalmente, finché si è bloccato allo step 6/8 nella lingua inglese che è rimasta in clessidra per ore. Dopo ho comunque provato ad accedere e apparentemente il sistema era comunque funzionante. Tuttavia mentre con la 2.4.4 tutto sembrava funzionare bene, con la successiva 3.0 ci sono stati problemi evidenti. In particolare alcuni corsi risultano vuoti, mentre nella precedente release erano completi, i loghi nel login sono spariti ed altre varie anomalie.

Avete qualche suggerimento da darmi per risolvere la situazione, in caso contrario sarò costretto a tornare alla 2.4.4.

Grazie mille

User avatar
alberto
FormaLms Guru
Posts: 1073
Joined: Fri Mar 02, 2012 9:18 am
Contact:

Re: Errore upgrade da 2.3 a 3.0

Post by alberto »

Grazie per la segnalazione, verifichiamo e ti faccio sapere
Avevi plugin o personalizzazioni?
--------------------------------------------------
Become a CONTRIBUTOR

Support the project for FREE!
www.Elearnit.net

acucca
Newbie
Posts: 21
Joined: Tue Mar 02, 2021 5:33 pm

Re: Errore upgrade da 2.3 a 3.0

Post by acucca »

No, nessun plugin. Grazie mille

acucca
Newbie
Posts: 21
Joined: Tue Mar 02, 2021 5:33 pm

Re: Errore upgrade da 2.3 a 3.0

Post by acucca »

Nel corso delle ulteriori verifiche che sto facendo, nel passaggio dalla visualizzazione del corso per lo studente alla vista per docente si è verificato il seguente errore:

Fatal error: Uncaught Error: Class 'LomanagerLmsController' not found in /web/htdocs/www.ssigroup.it/home/forma24/lib/lib.re ... ler.php:38 Stack trace: #0 /web/htdocs/www.ssigroup.it/home/forma24/appLms/index.php(79): RequestHandler->run() #1 {main} thrown in /web/htdocs/www.ssigroup.it/home/forma24/lib/lib.requesthandler.php on line 38

User avatar
alberto
FormaLms Guru
Posts: 1073
Joined: Fri Mar 02, 2012 9:18 am
Contact:

Re: Errore upgrade da 2.3 a 3.0

Post by alberto »

Scusa, non mi è chiaro se questo errore lo stai avendo con il codice della 2.4.4 o della 3.0
--------------------------------------------------
Become a CONTRIBUTOR

Support the project for FREE!
www.Elearnit.net

acucca
Newbie
Posts: 21
Joined: Tue Mar 02, 2021 5:33 pm

Re: Errore upgrade da 2.3 a 3.0

Post by acucca »

L'errore è presente in ambedue le installazioni, sia 3.0, sia 2.4.4 e onestamente non ne comprendo la ragione.

User avatar
CisterNino
FormaLms User
Posts: 69
Joined: Mon May 06, 2013 2:59 pm

Re: Errore upgrade da 2.3 a 3.0

Post by CisterNino »

Ciao, ho avuto lo stesso tipo di errore. Ma era dovuto al fatto che, effettivamente, non avevo caricato tutti i files della versione 3.0
I'm Livio, the Two. If you need, you can contact the one.

acucca
Newbie
Posts: 21
Joined: Tue Mar 02, 2021 5:33 pm

Re: Errore upgrade da 2.3 a 3.0

Post by acucca »

Ok, provo a ricaricarli e vediamo se ci sono miglioramenti.
Grazie mille

acucca
Newbie
Posts: 21
Joined: Tue Mar 02, 2021 5:33 pm

Re: Errore upgrade da 2.3 a 3.0

Post by acucca »

Niente da fare purtroppo!

Ho cancellato e rimesso tutti i file della 3.0 a parte files ed aggiunto il template non standard ma nulla, gli errori restano: scorm associati ai corsi non visibili ed errore nell'area docente del corso.

La stessa operazione di upgrade utilizzando invece la 2.4.4 ha esiti migliori, i corsi con gli scorm tornano in vita, ma resta comunque l'errore nell'area docente del corso.

danilo
FormaLms User
Posts: 178
Joined: Wed Feb 04, 2015 5:33 pm

Re: Errore upgrade da 2.3 a 3.0

Post by danilo »

Ciao,
incuriosito dal provare la 3.0, l'ho installata su una installazione di Forma 2.4.3 che utilizzo come test.
Avevo già provato la 3.0 RC1 e questi problemi non si sono manifestati.
Caricando i files della 3.0, anche io riscontro almeno 2 problemi:
1) gli oggetti didattici nei corsi sono svaniti
2) nel calendario dalla dashboard, non sono più visibili le scadenze dei corsi. Lo stesso corso compare due volte nel giorno di inizio, una volta col pallino verde e l'altra col pallino rosso.
Tuttavia, i corsi compaiono nell'area I MIEI CORSI con le info corrette.

Post Reply